Skip to main content
GET
/
api
/
v1
/
files
/
{file_id_or_hashid}
/
confirm
Confirm Upload
import requests

url = "https://www.datalab.to/api/v1/files/{file_id_or_hashid}/confirm"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "file_id": 123,
  "reference": "<string>",
  "message": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

Path Parameters

file_id_or_hashid
string
required

Cookies

wos-session
string
access_token
string
datalab_active_team
string

Response

Successful Response

Response after confirming upload.

file_id
integer
required

File ID

reference
string
required

File reference in datalab://file-{id} format

message
string
required

Confirmation message

success
boolean
default:true

Whether the confirmation was successful